アクティブ・アラートを受け取る
指定した条件に一致する特定のシステムアラートを取得します。

前提条件
Authenticate - OAuth2認証のためのユーザー認証情報、クライアントID、クライアントシークレットを送信します。OAuth APIを呼び出して認証情報を検証および認証する方法については、API Authenticationを参照してください。
システムアラートの検索
指定した検索条件に一致するシステムアラートを検索するには、/smartview/v2/systemAlerts/search エンドポイントに POST リクエストを送信します。リクエストの本文で検索条件を指定します。
サンプル cURL リクエスト - アクティブなシステムアラートを取得します:
curl -X POST 'https://api.equinix.com/smartview/v2/systemAlerts/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"filter": {
"and": [
{
"property": "/status",
"operator": "=",
"values": [
"ACTIVE"
]
}
]
},
"pagination": {
"offset": 0,
"limit": 50
}
}'
回答例
{
"data": [
{
"id": 1931,
"alertUid": "LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",
"traceUid": "1687495706640/LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",
"assetTagUid": "LD9.Generator-DH09-PG2:gensetavailableinauto",
"assetTagDisplayName": "Genset Available In Auto",
"status": "ACTIVE",
"value": {
"alertTagValue": "true",
"alertTagValueDisplayName": "OPEN",
"activeAlertTagValueDisplayName": "OPEN",
"currentTagValue": "CLOSED"
},
"asset": {
"ibx": "LD9",
"assetUid": "LD9.Generator-DH09-PG2",
"assetType": "Generator",
"assetClassification": "Electrical",
"assetRegion": null,
"assetUnderMaintenance": false
},
"configuration": {
"thresholdValue": "1",
"thresholdValueDisplayName": "OPEN",
"unitOfMeasurement": "&",
"thresholdType": "DIGITAL",
"conditionName": "ALARM",
"configurationVersion": "1.0"
},
"activeProcessing": {
"edgeCollectedOn": "2023-06-23T04:48:26.640Z",
"tagCalculationJobProcessedOn": "2023-06-23T04:48:26.840Z",
"processingStartOn": "2023-06-23T04:49:01.182223Z",
"processingEndOn": "2023-06-23T04:49:01.282301Z",
"publishedOn": "2023-06-23T04:49:01.282301Z"
},
"inactiveProcessing": {
"edgeCollectedOn": null,
"tagCalculationJobProcessedOn": null,
"processingStartOn": null,
"processingEndOn": null,
"publishedOn": null
}
},
{
"id": 9684,
"alertUid": "LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",
"traceUid": "1687474008537/LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",
"assetTagUid": "LD4.UPS-4-2-G-15:lowbatteryalarm",
"assetTagDisplayName": "Low Battery Alarm",
"status": "ACTIVE",
"value": {
"alertTagValue": "true",
"alertTagValueDisplayName": "OPEN",
"activeAlertTagValueDisplayName": "OPEN",
"currentTagValue": "OPEN"
},
"asset": {
"ibx": "LD4",
"assetUid": "LD4.UPS-4-2-G-15",
"assetType": "UPS",
"assetClassification": "Electrical",
"assetRegion": null,
"assetUnderMaintenance": false
},
"configuration": {
"thresholdValue": "1",
"thresholdValueDisplayName": "OPEN",
"unitOfMeasurement": "&",
"thresholdType": "DIGITAL",
"conditionName": "ALARM",
"configurationVersion": "1.0"
},
"activeProcessing": {
"edgeCollectedOn": "2023-06-22T22:46:48.537Z",
"tagCalculationJobProcessedOn": "2023-06-22T22:46:48.737Z",
"processingStartOn": "2023-06-22T22:47:37.722099Z",
"processingEndOn": "2023-06-22T22:47:37.802681Z",
"publishedOn": "2023-06-22T22:47:37.802681Z"
},
"inactiveProcessing": {
"edgeCollectedOn": null,
"tagCalculationJobProcessedOn": null,
"processingStartOn": null,
"processingEndOn": null,
"publishedOn": null
}
}
],
"pagination": {
"offset": 20,
"limit": 10,
"total": 2
}
}
すべてのシステム・アラートの取得
すべてのシステムアラートを取得するには、/smartview/v2/systemAlerts/search エンドポイントに GET リクエストを送信します。クエリパラメータとして、ページネーションとフィルタリング基準が利用できます。